Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.btree
Class PageFilterService

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.server.SimpleService
              com.dbxml.db.common.btree.PageFilterService

All Implemented Interfaces:
  Configurable, Service

public final class PageFilterService
extends SimpleService

PageFilterService

Field Summary

Fields inherited from class com.dbxml.db.server.SimpleService
`NAME`

Fields inherited from interface com.dbxml.db.server.Service
`RESULT_BUSY, RESULT_FAILED, RESULT_INVALID, RESULT_OK, STATE_STARTED, STATE_STOPPED, STATE_SUSPENDED`

Constructor Summary
`PageFilterService()`

Method Summary
`void` | `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class com.dbxml.db.server.SimpleService
`dispose, getName, initialize, resume, setServerInstance, start, status, statusMessage, stop, suspend, uninitialize`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageFilterService

    public PageFilterService()

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Overrides:
    `setConfig` in class `SimpleService`
  Throws:
    `dbXMLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group